[arch-commits] Commit in libgsf/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Tue Apr 28 16:58:52 EDT 2009


    Date: Tuesday, April 28, 2009 @ 16:58:52
  Author: jgc
Revision: 36937

upgpkg: libgsf 1.14.12-1

Modified:
  libgsf/trunk/PKGBUILD

----------+
 PKGBUILD |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-28 20:56:23 UTC (rev 36936)
+++ PKGBUILD	2009-04-28 20:58:52 UTC (rev 36937)
@@ -3,25 +3,25 @@
 # Contributor: Sarah Hay <sarahhay at mb.sympatico.ca>
 
 pkgname=libgsf
-pkgver=1.14.11
+pkgver=1.14.12
 pkgrel=1
 pkgdesc="The GNOME Structured File Library is a utility library for reading and writing structured file formats."
 arch=(i686 x86_64)
 url="http://www.gnome.org/"
 license=('GPL' 'LGPL')
-depends=('libxml2>=2.7.2' 'glib2>=2.18.4' 'bzip2')
+depends=('libxml2>=2.7.3' 'glib2>=2.20.1' 'bzip2')
 makedepends=('perlxml' 'pkgconfig' 'python')
 options=('!libtool')
 source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/1.14/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('86bec0012435fbafe02a6e4c88bdf9ba')
+md5sums=('dc7534e8f80775ab157779cc3b3c84f1')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  sed -i -e 's/gsf-gnome//' -e 's/thumbnailer//' Makefile.*
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  sed -i -e 's/gsf-gnome//' -e 's/thumbnailer//' Makefile.* || return 1
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
-              --without-gnome-vfs --without-bonobo \
-	      --disable-static || return 1
+              --mandir=/usr/share/man --disable-static \
+              --without-gnome-vfs --without-bonobo  || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
-  rm -f ${startdir}/pkg/usr{,/share}/man/man1/gsf-office-thumbnailer.1
+  make DESTDIR="${pkgdir}" install || return 1
+  rm -f "${pkgdir}/usr/share/man/man1/gsf-office-thumbnailer.1"
 }



More information about the arch-commits mailing list